Bug 1560399 (CVE-2018-1303) - CVE-2018-1303 httpd: Out of bounds read in mod_cache_socache can allow a remote attacker to cause DoS
Summary: CVE-2018-1303 httpd: Out of bounds read in mod_cache_socache can allow a remo...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1303
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180321,repor...
Depends On: 1560400 1560404 1565457 1565458 1565459
Blocks: 1560402
TreeView+ depends on / blocked
 
Reported: 2018-03-26 04:43 UTC by Sam Fowler
Modified: 2019-06-10 10:18 UTC (History)
49 users (show)

Fixed In Version: httpd 2.4.30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:18:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3558 None None None 2018-11-13 08:35:56 UTC
Red Hat Product Errata RHSA-2019:0366 None None None 2019-02-18 16:55:39 UTC
Red Hat Product Errata RHSA-2019:0367 None None None 2019-02-18 16:58:21 UTC

Description Sam Fowler 2018-03-26 04:43:12 UTC
Apache HTTP Server (httpd) through version 2.4.29 is vulnerable to an out of bounds read in the mod_cache_socache.c:read_table() function. A remote attacker could exploit this to cause a denial of service.


Upstream Advisory:

https://httpd.apache.org/security/vulnerabilities_24.html


Upstream Patch:

https://svn.apache.org/viewvc?view=revision&sortby=log&revision=1824475

Comment 1 Sam Fowler 2018-03-26 04:43:29 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1560400]

Comment 5 Huzaifa S. Sidhpurwala 2018-04-10 04:40:18 UTC
Analysis:

If the apache server is configured to use mod_cache, a client could send a specially crafted http header, causing the process to crash. Apache is by default configured in prefork MPM mode, which means that this flaw can result in a crash of child process. The main web server process will not be killed.

Comment 8 Huzaifa S. Sidhpurwala 2018-06-22 04:53:54 UTC
Statement:

The versions of httpd package shipped with Red Hat Enterprise Linux are by default configured in prefork MPM mode, which means that this flaw can result in a crash of child process. The main web server process will not be killed. Also, though the module is loaded by default, it needs to be specifically enabled in order to be exposed to the security flaw.

Comment 11 errata-xmlrpc 2018-11-13 08:35:41 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2018:3558 https://access.redhat.com/errata/RHSA-2018:3558

Comment 13 errata-xmlrpc 2019-02-18 16:55:37 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2019:0366 https://access.redhat.com/errata/RHSA-2019:0366

Comment 14 errata-xmlrpc 2019-02-18 16:58:19 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6
  JBoss Core Services on RHEL 7

Via RHSA-2019:0367 https://access.redhat.com/errata/RHSA-2019:0367


Note You need to log in before you can comment on or make changes to this bug.